PROGRAM Futile
    USE JUNK
    IMPLICIT NONE
    INTEGER :: size, err
    Print *, 'Type an integer'
    READ *, size
    IF (size <= 0 .OR. size > maxlength) THEN
        PRINT *, 'Bad size: ', size
        STOP 1
    END IF
    ALLOCATE(totals(size), STAT=err)
    PRINT *, err
    PRINT *, message
END PROGRAM Futile
